## vramsteg 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

set (HAVE_CMAKE true)

project (vramsteg)
set (PROJECT_VERSION "1.0.1")

SET (VRAMSTEG_MAN1DIR share/man/man1     CACHE STRING "Installation directory for man pages, section 1")
SET (VRAMSTEG_DOCDIR  share/doc/vramsteg CACHE STRING "Installation directory for doc files")

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (LINUX true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set (DARWIN true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
  set (FREEBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
  set (SOLARIS true)
else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (UNKNOWN true)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

message ("-- Looking for SHA1 references")
if (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)
  set (HAVE_COMMIT true)
  execute_process (COMMAND git log -1 --pretty=format:%h
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                   OUTPUT_VARIABLE COMMIT)
  configure_file ( ${CMAKE_SOURCE_DIR}/commit.h.in
                   ${CMAKE_SOURCE_DIR}/commit.h)
  message ("-- Found SHA1 reference: ${COMMIT}")
endif (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)

set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@yootabory.com")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

message ("-- Configuring cmake.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/cmake.h)

add_subdirectory (src)
add_subdirectory (doc)
add_subdirectory (examples)
if (EXISTS test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS test)

set (doc_FILES NEWS ChangeLog README INSTALL AUTHORS COPYING)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE}  DESTINATION ${VRAMSTEG_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest"
                                "Makefile$" "test" "demo"
                                "src/vramsteg$"
                                "/\\.gitignore" "/\\.git/" "swp$")
include (CPack)

=== debian/changelog ===
vramsteg (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #719600).

 -- Alejandro Garrido Mota <alejandro@debian.org>  Tue, 13 Aug 2013 15:39:07 +0200

=== debian/control ===
Source: vramsteg
Section: utils
Priority: extra
Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.4
Homepage: http://tasktools.org/projects/vramsteg.html
Vcs-Git: git://github.com/mogaal/vramsteg.git
Vcs-Browser: https://github.com/mogaal/vramsteg

Package: vramsteg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: provide shell scripts with a full-featured progress indicator
 vramsteg provide progress bar that can display elapsed time, remaining time
 estimate, percentage completed, and labels.  The progress bar can have 
 user-specified colors, and be rendered in multiple styles.

=== debian/rules ===
#!/usr/bin/make -f
PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@ 

override_dh_auto_install:
	sed -i 's/\.\.\/src\/vramsteg/\/usr\/bin\/vramsteg/g' examples/*
	cp $(CURDIR)/doc/man/vramsteg.1.in debian/vramsteg.1
	dh_auto_install
	rm -f $(TMP)/usr/share/doc/vramsteg/COPYING \
		$(TMP)/usr/share/doc/vramsteg/INSTALL \
		$(TMP)/usr/share/doc/vramsteg/minimal_default \
		$(TMP)/usr/share/doc/vramsteg/estimate_default \
		$(TMP)/usr/share/doc/vramsteg/label_default \
		$(TMP)/usr/share/doc/vramsteg/remove_mono \
		$(TMP)/usr/share/doc/vramsteg/elapsed_mono \
		$(TMP)/usr/share/doc/vramsteg/basic_mono \
		$(TMP)/usr/share/doc/vramsteg/percentage_default \
		$(TMP)/usr/share/doc/vramsteg/remove_default \
		$(TMP)/usr/share/doc/vramsteg/percentage_text \
		$(TMP)/usr/share/doc/vramsteg/all_text \
		$(TMP)/usr/share/doc/vramsteg/basic_default \
		$(TMP)/usr/share/doc/vramsteg/elapsed_default \
		$(TMP)/usr/share/doc/vramsteg/label_text \
		$(TMP)/usr/share/doc/vramsteg/minimal_mono \
		$(TMP)/usr/share/doc/vramsteg/percentage_mono \
		$(TMP)/usr/share/doc/vramsteg/all_mono \
		$(TMP)/usr/share/doc/vramsteg/label_mono \
		$(TMP)/usr/share/doc/vramsteg/all_default \
		$(TMP)/usr/share/doc/vramsteg/basic_text \
		$(TMP)/usr/share/doc/vramsteg/estimate_mono \
		$(TMP)/usr/share/doc/vramsteg/estimate_text \
		$(TMP)/usr/share/doc/vramsteg/remove_text \
		$(TMP)/usr/share/doc/vramsteg/elapsed_text \
		$(TMP)/usr/share/doc/vramsteg/minimal_text

override_dh_installexamples:
	dh_installexamples
	rm -f $(TMP)/usr/share/doc/vramsteg/examples/CMakeLists.txt

=== debian/watch ===
version=3
http://tasktools.org/projects/vramsteg.html http://taskwarrior.org/download/vramsteg-(.*)\.tar\.gz

## vramsteg 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set (HAVE_CMAKE true)
 
 project (vramsteg)
-set (PROJECT_VERSION "1.0.1")
+set (PROJECT_VERSION "1.1.0")
 
 SET (VRAMSTEG_MAN1DIR share/man/man1     CACHE STRING "Installation directory for man pages, section 1")
 SET (VRAMSTEG_DOCDIR  share/doc/vramsteg CACHE STRING "Installation directory for doc files")
@@ -12,10 +12,18 @@
   set (LINUX true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   set (DARWIN true)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "kFreeBSD")
+  set (KFREEBSD true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
   set (FREEBSD true)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
+  set (OPENBSD true)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
+  set (NETBSD true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
   set (SOLARIS true)
+elseif (${CMAKE_SYSTEM_NAME} STREQUAL "GNU")
+  set (GNUHURD true)
 else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   set (UNKNOWN true)
 endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -64,5 +72,5 @@
                                 "_CPack_Packages" "cmake_install" "install_manifest"
                                 "Makefile$" "test" "demo"
                                 "src/vramsteg$"
-                                "/\\.gitignore" "/\\.git/" "swp$")
+                                "/\\\\.gitignore" "/\\\\.git/" "swp$")
 include (CPack)

=== debian/changelog ===
vramsteg (1.1.0-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:27 +0100

vramsteg (1.1.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:55 +0000

vramsteg (1.1.0-1) unstable; urgency=low

  * New upstream release. 
  * Add watch file
  * Update Standards-Version to 3.9.6 
  * Remove vramsteg.doc file: NEWS and README (files referenced) don't
    point out relevant information.

 -- Alejandro Garrido Mota <alejandro@debian.org>  Tue, 17 Nov 2015 16:35:22 +0000

=== debian/rules ===
#!/usr/bin/make -f
PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	cp $(CURDIR)/doc/man/vramsteg.1.in debian/vramsteg.1
	dh_auto_install
	rm -f $(TMP)/usr/share/doc/vramsteg/COPYING \
        $(TMP)/usr/share/doc/vramsteg/INSTALL \
        $(TMP)/usr/share/doc/vramsteg/AUTHORS \
        $(TMP)/usr/share/doc/vramsteg/README \
        $(TMP)/usr/share/doc/vramsteg/NEWS \
        $(TMP)/usr/share/doc/vramsteg/ChangeLog

override_dh_installexamples:
	dh_installexamples
	rm -f $(TMP)/usr/share/doc/vramsteg/examples/CMakeLists.txt

=== debian/watch ===
version=3
http://tasktools.org http://tasktools.org/download/vramsteg-(.+)\.tar\.gz

## vramsteg 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")

set (HAVE_CMAKE true)

project (vramsteg)
include (CXXSniffer)

set (PROJECT_VERSION "1.1.1")

set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@taskwarrior.org")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

if (FREEBSD OR DRAGONFLY)
SET (VRAMSTEG_MAN1DIR man/man1 CACHE STRING "Installation directory for man pages, section 1")
else (FREEBSD OR DRAGONFLY)
SET (VRAMSTEG_MAN1DIR share/man/man1 CACHE STRING "Installation directory for man pages, section 1")
endif (FREEBSD OR DRAGONFLY)
SET (VRAMSTEG_DOCDIR  share/doc/clog CACHE STRING "Installation directory for doc files")
SET (VRAMSTEG_BINDIR  bin            CACHE STRING "Installation directory for the binary")

message ("-- Configuring cmake.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/cmake.h)

add_subdirectory (src)
add_subdirectory (doc)
add_subdirectory (examples)
if (EXISTS ${CMAKE_SOURCE_DIR}/test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS ${CMAKE_SOURCE_DIR}/test)

set (doc_FILES NEWS ChangeLog README INSTALL AUTHORS COPYING)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE}  DESTINATION ${VRAMSTEG_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest"
                                "Makefile$" "test" "demo"
                                "src/vramsteg$"
                                "/\\\\.gitignore" "/\\\\.git/" "swp$")
include (CPack)

=== doc/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
message ("-- Configuring man pages")
set (man_FILES vramsteg.1)
foreach (man_FILE ${man_FILES})
  configure_file (
    man/${man_FILE}.in
    man/${man_FILE})
endforeach (man_FILE)

install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/ DESTINATION ${VRAMSTEG_MAN1DIR}
                                                    FILES_MATCHING PATTERN "*.1")

=== examples/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
install (FILES all_default all_mono all_text basic_default basic_mono basic_text
         elapsed_default elapsed_mono elapsed_text estimate_default
         estimate_mono estimate_text label_default label_mono label_text
         minimal_default minimal_mono minimal_text percentage_default
         percentage_mono percentage_text remove_default remove_mono
         remove_text DESTINATION ${VRAMSTEG_DOCDIR}/examples)

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR})
set (vramsteg_SRCS vramsteg.cpp
                   Progress.cpp Progress.h)
add_executable (vramsteg ${vramsteg_SRCS})
install (TARGETS vramsteg DESTINATION bin)

#set (CMAKE_BUILD_TYPE debug)
#set (CMAKE_C_FLAGS_DEBUG "-g")
#set (CMAKE_C_FLAGS_RELEASE "-O3")

=== test/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
if(POLICY CMP0037)
  cmake_policy(SET CMP0037 OLD)
endif()

include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/test
                     ${VRAMSTEG_INCLUDE_DIRS})

set (test_SRCS )

add_custom_target (test ./run_all --verbose
                        DEPENDS ${test_SRCS}
                        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/test)

add_custom_target (build_tests DEPENDS ${test_SRCS}
                               WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/test)

foreach (src_FILE ${test_SRCS})
  add_executable (${src_FILE} "${src_FILE}.cpp"
                              ../src/Progress.cpp
                              test.cpp)
  target_link_libraries (${src_FILE} ${VRAMSTEG_LIBRARIES})
endforeach (src_FILE)

configure_file(run_all run_all COPYONLY)
configure_file(problems problems COPYONLY)

=== debian/changelog ===
vramsteg (1.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fix for FTBFS with CMake 4. Closes: #1113624.

 -- Santiago Vila <sanvila@debian.org>  Sat, 18 Oct 2025 22:42:00 +0200

vramsteg (1.1.1-1) unstable; urgency=medium

  * Maintain package in Salvage team
    Closes: #1112305
  * Fix Homepage
    Closes: #1099102
  * d/copyright: Mention new source location
  * d/watch:
     - version=4
     - Point to Github
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Use Python3 in tests
  * Fix clean target
    Closes: #1047946
  * Remove /usr/share/doc/clog

 -- Andreas Tille <tille@debian.org>  Thu, 18 Sep 2025 11:05:07 +0200

=== debian/control ===
Source: vramsteg
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Alejandro Garrido Mota <alejandro@debian.org>,
           Andreas Tille <tille@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               python3 <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/vramsteg
Vcs-Git: https://salsa.debian.org/salvage-team/vramsteg.git
Homepage: https://gothenburgbitfactory.org/vramsteg/

Package: vramsteg
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: provide shell scripts with a full-featured progress indicator
 Vramsteg provide progress bar that can display elapsed time, remaining time
 estimate, percentage completed, and labels.  The progress bar can have
 user-specified colors, and be rendered in multiple styles.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,15 @@
 PACKAGE = $(shell dh_listpackages)
 TMP     = $(CURDIR)/debian/$(PACKAGE)
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
 	dh $@
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd test &&  python3 run_all --verbose
+endif
 
 override_dh_auto_install:
 	cp $(CURDIR)/doc/man/vramsteg.1.in debian/vramsteg.1
@@ -14,6 +21,7 @@
         $(TMP)/usr/share/doc/vramsteg/README \
         $(TMP)/usr/share/doc/vramsteg/NEWS \
         $(TMP)/usr/share/doc/vramsteg/ChangeLog
+	rm -rf $(TMP)/usr/share/doc/clog
 
 override_dh_installexamples:
 	dh_installexamples

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/GothenburgBitFactory/vramsteg/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
